# Namespace webdriver.testing.assert

code »

Creates a new assertion.

## Main

assert ( value ) ⇒ `!webdriver.testing.Assertion`

Parameters

value: `*`
  The value to perform an assertion on.

Returns

The new assertion.

Show:PublicProtectedPrivate

## Global Functions

code » webdriver.testing.assert.register ( name, matcherTemplate )

Registers a new assertion to expose from the `webdriver.testing.Assertion` prototype.

Parameters

name: `string`
  The assertion name.
matcherTemplate: `(function(new: goog.labs.testing.Matcher, *)|{matches: function(*): boolean, describe: function(): string})`
  Either the matcher constructor to use, or an object literal defining a matcher.